/**
 * @author Joel Espinosa Longi
 * @licencia LGPL - http://www.gnu.org/licenses/lgpl.html
 */

var path = require("path");
var gui = require("nw.gui");
var fs = require("fs-extra");
var beautify_html = require("js-beautify").html;
var __dirname = require("./nodeUtils.js").dirname;

var editor = (function(editor) {

  // entry function
  window.addEventListener("load", function(evt) {
    // // overwrites the console.error messages
    // console.info = console.debug = console.error = console.warn = function(){return null;};

    editor.titleBase = "Descartes v0.04 | ";

    editor.configGUI();
    editor.Controller.exec("newFile");
  });

  return editor;
})(editor || {});
